2019-05-26 23:10 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002164NetSurfBeOS-specificpublic2016-02-16 15:24
ReporterAugustin Cavalier 
Assigned ToFran├žois Revol 
SeveritymajorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformOSHaikuOS Versionhrev47449
Product Version3.2 
Target VersionFixed in Version3.4 
Summary0002164: Menus do not work
DescriptionThe menus inside NetSurf's UI do not do anything. Only the address bar works.
Steps To Reproduce1. Install NetSurf and open it
2. Click on a menu and then any item inside the menu
3. Nothing happens.
TagsNo tags attached.
Fixed in CI build #2991
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
PulkoMandy

~0000920

PulkoMandy (reporter)

Most menus actually work, but we haven't implemented everything, yet. Is there a way to "filter" what is added to the main window menu? I think we are getting the list of menu items from some other port, or is it common to all ports?
PulkoMandy

~0000923

PulkoMandy (reporter)

Patch to remove menus which are not implemented yet:
http://pulkomandy.tk/drop/NetSurf/0007-BeOS-Haiku-improve-menus-management.patch
Vincent Sanders

~0000954

Vincent Sanders (administrator)

Applied patch from PulkoMandy
Vincent Sanders

~0001292

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2014-07-03 15:38 Augustin Cavalier New Issue
2014-07-03 15:49 Vincent Sanders Status new => acknowledged
2014-07-03 15:49 Vincent Sanders Product Version => 3.2
2014-07-03 15:54 Vincent Sanders Assigned To => Fran├žois Revol
2015-08-17 19:36 PulkoMandy Note Added: 0000920
2015-08-18 07:50 PulkoMandy Note Added: 0000923
2015-10-12 21:51 Vincent Sanders Fixed in CI build # => 2991
2015-10-12 21:51 Vincent Sanders Note Added: 0000954
2015-10-12 21:51 Vincent Sanders Status acknowledged => resolved
2015-10-12 21:51 Vincent Sanders Resolution open => fixed
2015-10-12 21:51 Vincent Sanders Fixed in Version => 3.4
2016-02-16 15:24 Vincent Sanders Note Added: 0001292
2016-02-16 15:24 Vincent Sanders Status resolved => closed
+Issue History